Browse Source

Changed build to require python3 instead of python2

au-ny-api
Leland Lucius 2 years ago
parent
commit
5f5a477dbf
  1. 8
      CMakeLists.txt

8
CMakeLists.txt

@ -432,11 +432,11 @@ else()
endif()
# Python is used for the manual and (possibly) message catalogs
find_package( Python2 )
if( Python2_FOUND )
set( PYTHON "${Python2_EXECUTABLE}" )
find_package( Python3 )
if( Python3_FOUND )
set( PYTHON "${Python3_EXECUTABLE}" )
elseif( CMAKE_SYSTEM_NAME MATCHES "Windows" )
nuget_package( pkgdir "python2" "2.7.17" )
nuget_package( pkgdir "python3" "3.7.7" )
file( TO_NATIVE_PATH "${pkgdir}/tools/python.exe" PYTHON )
endif()

Loading…
Cancel
Save